#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 bin
version:              0.1.3
visibility:           public
id:                   bin-0.1.3-86amSj3xjjpKIhZS0EcLt9
key:                  bin-0.1.3-86amSj3xjjpKIhZS0EcLt9
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Bin: binary natural numbers.
description:
    This package provides /binary natural numbers/ ("Data.Bin");
    also utilities to work on the type level with @DataKinds@ ("Data.Type.Bin").

    @
    data Bin
    \    = BZ       -- ^ zero
    \    | BP BinP  -- ^ non-zero

    data BinP
    \    = BE       -- ^ one
    \    | B0 BinP  -- ^ double
    \    | B1 BinP  -- ^ double plus 1
    @

    There are /ordinals/ in "Data.Bin.Pos" module, as well as
    fixed width integers in "Data.Wrd".

    Another implementation is at <https://hackage.haskell.org/package/nat>,
    this differs in naming, and provides promoted variant.

category:             Data, Dependent Types, Singletons, Math
abi:                  18d486d9534af26459875f28941e85ac
exposed:              True
exposed-modules:
    Data.Bin Data.Bin.Pos Data.BinP Data.BinP.PosP Data.Type.Bin
    Data.Type.BinP Data.Wrd

hidden-modules:       TrustworthyCompat
import-dirs:          /usr/lib/ghc-9.4.8/site-local/bin-0.1.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/bin-0.1.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/bin-0.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-bin
hs-libraries:         HSbin-0.1.3-86amSj3xjjpKIhZS0EcLt9
depends:
    QuickCheck-2.14.3-6d1PIKLXLdiAlrbWNDjj9l base-4.17.2.1
    boring-0.2.1-J4SnML7YpXV9bowsupJp7A
    dec-0.0.5-3XcHsBR9yr55pCvIxgalEN deepseq-1.4.8.0
    fin-0.3-AYX54KbShRg99iRIIxIBrR
    hashable-1.4.4.0-nWtkxUvx9i9tMRJKCZgnw
    some-1.0.5-36xIADGNqiWGv9lC459cQD

haddock-interfaces:   /usr/share/doc/haskell-bin/html/bin.haddock
haddock-html:         /usr/share/doc/haskell-bin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

